EXCH(1)

BEZEICHNUNG
exch - atomisch Pfade zwischen zwei Dateien austauschen

ÜBERSICHT

exch alter_Pfad neuer_Pfad

BESCHREIBUNG

exch tauscht atomisch alter_Pfad und neuer_Pfad gegeneinander aus. exch ist ein einfacher Befehl, der auf dem Systemaufruf renameat2(2) aufsetzt.

OPTIONEN

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

exch hat die folgenden Exit-Status-Werte:

0
    Erfolg

1
    Nicht näher bezeichneter Fehler.

AUTOREN

SIEHE AUCH

renameat2(2)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl exch ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.